Bug 797702 - glusterd mountbroker-georeplication.* option is broken
glusterd mountbroker-georeplication.* option is broken
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Csaba Henk
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-26 22:43 EST by Csaba Henk
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa45
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Csaba Henk 2012-02-26 22:43:46 EST
Description of problem:

Specifying an option for glusterd of the format mountbroker-georeplication.*
does not take effect.

Version-Release number of selected component (if applicable):


How reproducible:

Deterministically.

Steps to Reproduce:
1. Set up mountbroker service for geo-replication as discussed in

https://docspace.corp.redhat.com/docs/DOC-93046#for-gluster-slaves-uprivileged-agent
2. Start glusterd with respective volfile.
3. Try to use the mountbroker service with

  gluster system:: mount <user> volfile-server=localhost volfile-id=<volname> client-pid=-1 user-map-root=<user> 'xlator-option=*-dht.assert-no-child-down=true'

(in the example at referred place, <user> is "geonobody" and <volname> is "slavevol").

Actual results:

Error message "2 : failed with this errno (No such file or directory)"

Expected results:

Return with success.

Additional info:

@Venky: issue was already discussed in our Google Chat conversation as of 23rd Jan, please check it.
Comment 1 Anand Avati 2012-03-05 12:17:21 EST
CHANGE: http://review.gluster.com/2835 (glusterd: mountbroker-geo-replication.* fix) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.